Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.pubsub.cluster
Class NodeTask

    java.lang.Object
      org.jivesoftware.openfire.pubsub.cluster.NodeTask

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

Direct Known Subclasses:
  AffiliationTask, RefreshNodeTask, RemoveNodeTask, SubscriptionTask

    public abstract class NodeTask

extends Object
implements ClusterTask

See Also:
  Serialized Form

Field Summary
`protected String` | `nodeId`
`protected String` | `serviceId`

Constructor Summary
`protected` | `NodeTask()`
`protected` | `NodeTask(Node node)`

Method Summary
`Node` | `getNode()`
`String` | `getNodeId()`
`Object` | `getResult()`
`PubSubService` | `getService()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Field Detail

### nodeId

    protected String nodeId

### serviceId

    protected String serviceId

Constructor Detail

### NodeTask

    protected NodeTask()

### NodeTask

    protected NodeTask(Node node)

Method Detail

### getNodeId

    public String getNodeId()

### getNode

    public Node getNode()

### getService

    public PubSubService getService()

### getResult

    public Object getResult()

  Specified by:
    `getResult` in interface `ClusterTask`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.